NAME
	this_interactive - give the originator of the current execution

SYNOPSIS
	object this_interactive()

DESCRIPTION
	Gives the player that is the cause of the current execution chain.
	This is always an interactive player or 0. It is 0 if the current
	execution is caused by heartbeat or callout.

	This is never changed in functions like command, move_object etc.

NOTA BENE 1
	Do not use this_interactive as a replacement for this_player. There
	several occasions when this will cause errors. Most worth noting
	is when a command() is executed. this_player will then change to 
	reflect the new current player, but this_interactive will not.	

NOTA BENE 2
        The function this_interactive() is _not_ guaranteed when called from
        a function that is called through an alarm. Even though it may well
        work in some cases, there is no guarantee, and using it anyways may
        well result in your call going to the wrong player.

SEE ALSO
	this_player, set_this_player

